Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
polyn_gf2m.cpp File Reference
`#include <botan/polyn_gf2m.h>`
`#include <botan/internal/code_based_util.h>`
`#include <botan/internal/bit_ops.h>`
`#include <botan/rng.h>`
`#include <botan/exceptn.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
gf2m | Botan::random_code_element (unsigned code_length, RandomNumberGenerator &rng)
gf2m | Botan::random_gf2m (RandomNumberGenerator &rng)
std::vector< polyn_gf2m > | Botan::syndrome_init (polyn_gf2m const &generator, std::vector< gf2m > const &support, int n)